Bug 44670 - UDM module initialization: SERVER_DOWN: {'desc': "Can't contact LDAP server"}
UDM module initialization: SERVER_DOWN: {'desc': "Can't contact LDAP server"}
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Domain management (Generic)
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-23 17:17 CEST by Florian Best
Modified: 2017-07-17 13:20 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.069
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number: 2017051221000166, 2017061721000262, 2017062621000405, 2017071521000077, 2017071521000086
Bug group (optional): Error handling, External feedback
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (686 bytes, patch)
2017-06-20 12:10 CEST, Florian Best
Details | Diff
patch (1.44 KB, patch)
2017-06-20 13:09 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2017-05-23 17:17:30 CEST
Version: 4.1-4 errata0 (Lesum)

The initialization of the module failed: Traceback (most recent call last):
  File "%PY2.7%/univention/management/console/protocol/modserver.py", line 178, in _recv
    self.handle(msg)
  File "%PY2.7%/univention/management/console/protocol/modserver.py", line 290, in handle
    self.__handler.init()
  File "%PY2.7%/univention/management/console/modules/udm/__init__.py", line 157, in init
    self.settings = UDM_Settings()
  File "%PY2.7%/univention/management/console/modules/udm/udm_ldap.py", line 886, in __init__
    self.read()
  File "%PY2.7%/univention/management/console/modules/udm/udm_ldap.py", line 889, in read
    self._read_directories()
  File "%PY2.7%/univention/management/console/modules/udm/udm_ldap.py", line 88, in _decorated
    return method(*args, **kwargs)
  File "%PY2.7%/univention/management/console/ldap.py", line 140, in _decorated
    kwargs[loarg], kwargs[poarg] = lo, po = getter()
  File "%PY2.7%/univention/management/console/ldap.py", line 130, in getter
    conn = connection()
  File "%PY2.7%/univention/management/console/ldap.py", line 51, in connection
    lo = _access(host=host, port=port, base=base, **kwargs)
  File "%PY2.7%/univention/admin/uldap.py", line 330, in __init__
    self.lo = univention.uldap.access(host, port, base, binddn, bindpw, start_tls, follow_referral=follow_referral)
  File "%PY2.7%/univention/uldap.py", line 152, in __init__
    self.__open(ca_certfile)
  File "%PY2.7%/univention/uldap.py", line 202, in __open
    self.lo.start_tls_s()
  File "/usr/lib/python2.7/dist-packages/ldap/ldapobject.py", line 884, in start_tls_s
    res = self._apply_method_s(SimpleLDAPObject.start_tls_s,*args,**kwargs)
  File "/usr/lib/python2.7/dist-packages/ldap/ldapobject.py", line 865, in _apply_method_s
    self.reconnect(self._uri,retry_max=self._retry_max,retry_delay=self._retry_delay)
  File "/usr/lib/python2.7/dist-packages/ldap/ldapobject.py", line 839, in reconnect
    raise e
SERVER_DOWN: {'desc': "Can't contact LDAP server"}
Comment 1 Florian Best univentionstaff 2017-05-23 17:17:46 CEST
I guess I fixed this in UCS 4.2, not sure though.
Comment 2 Erik Damrose univentionstaff 2017-05-23 17:19:42 CEST
Version: 4.1-4 errata0

Errata 0 seems unlikely with UCS 4.1-4
Comment 3 Florian Best univentionstaff 2017-06-20 12:05:12 CEST
Reported again, 4.2-0 errata45 (Lesum)
Comment 4 Florian Best univentionstaff 2017-06-20 12:10:39 CEST
Created attachment 8937 [details]
patch
Comment 5 Florian Best univentionstaff 2017-06-20 13:09:54 CEST
Created attachment 8940 [details]
patch
Comment 6 Florian Best univentionstaff 2017-06-20 19:23:15 CEST
The patch has been applied.

univention-management-console.yaml:
r80366 | YAML Bug #39963, Bug #44670, Bug #40998

univention-management-console (9.0.80-47):
r80359 | Bug #44670: fix error handling during module initialization
Comment 7 Johannes Keiser univentionstaff 2017-06-21 14:24:02 CEST
Tested with:

Login to UMC
# pkill -f console-module
# service slapd stop
Open a UDM module
----

Before patch: shows traceback
After patch: shows human readable error message

YAML: OK

-> Verified
Comment 8 Florian Best univentionstaff 2017-06-27 10:11:25 CEST
Reported again, 4.2-1 errata52 (Lesum)
Comment 9 Janek Walkenhorst univentionstaff 2017-06-28 15:33:35 CEST
<http://errata.software-univention.de/ucs/4.2/64.html>
Comment 10 Florian Best univentionstaff 2017-07-17 13:20:04 CEST
Reported again, 4.2-1 errata52 (Lesum)